gtkglextmm-devel-1.2.0-128.10.x86_64.rpm


Advertisement

Description

gtkglextmm-devel - C++ wrapper for GtkGLExt

Distribution: openSUSE 42.2
Repository: openSUSE Education all
Package name: gtkglextmm-devel
Package version: 1.2.0
Package release: 128.10
Package architecture: x86_64
Package type: rpm
Installed size: 123.98 KB
Download size: 24.01 KB
Official Mirror: ftp.gwdg.de
gtkglextmm is a C++ wrapper for GtkGLExt. C++ programmers can use it to write GTK+-based OpenGL applications using gtkmm 2. GtkGLExt is an OpenGL extension to GTK. It provides the GDK objects which support OpenGL rendering in GTK, and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable. Authors: -------- Naofumi Yasufuku <naofumi@users.sourceforge.net> Alif Wahid <awah005@users.sourceforge.net> Igor Fernandez de Bustos <impfedei@bi.ehu.es>

Alternatives

Provides

  • gtkglextmm-devel = 1.2.0-128.10
  • gtkglextmm-devel(x86-64) = 1.2.0-128.10
  • libtool(/usr/lib64/libgdkglextmm-x11-1.2.la)
  • libtool(/usr/lib64/libgtkglextmm-x11-1.2.la)
  • pkgconfig(gdkglextmm-1.2) = 1.2.0
  • pkgconfig(gdkglextmm-x11-1.2) = 1.2.0
  • pkgconfig(gtkglextmm-1.2) = 1.2.0
  • pkgconfig(gtkglextmm-x11-1.2) = 1.2.0

    Install Howto

    1. Add the openSUSE Education repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Education/openSUSE_Leap_42.2/ opensuse-education
    2. Install gtkglextmm-devel rpm package:
      # zypper install gtkglextmm-devel

    Files

    • /usr/include/gtkglextmm-1.2/gdkglmm.h
    • /usr/include/gtkglextmm-1.2/gtkglmm.h
    • /usr/include/gtkglextmm-1.2/gdkmm/
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/config.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/context.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/defs.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/drawable.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/font.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/init.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/pixmap.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/pixmapext.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/query.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/tokens.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/version.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/window.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/windowext.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/wrap_init.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/private/config_p.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/private/context_p.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/private/drawable_p.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/private/pixmap_p.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/private/tokens_p.h
    • /usr/include/gtkglextmm-1.2/gdkmm/gl/private/window_p.h
    • /usr/include/gtkglextmm-1.2/gtkmm/
    • /usr/include/gtkglextmm-1.2/gtkmm/gl/defs.h
    • /usr/include/gtkglextmm-1.2/gtkmm/gl/drawingarea.h
    • /usr/include/gtkglextmm-1.2/gtkmm/gl/init.h
    • /usr/include/gtkglextmm-1.2/gtkmm/gl/version.h
    • /usr/include/gtkglextmm-1.2/gtkmm/gl/widget.h
    • /usr/lib64/libgdkglextmm-x11-1.2.la
    • /usr/lib64/libgdkglextmm-x11-1.2.so
    • /usr/lib64/libgtkglextmm-x11-1.2.la
    • /usr/lib64/libgtkglextmm-x11-1.2.so
    • /usr/lib64/gtkglextmm-1.2/
    • /usr/lib64/gtkglextmm-1.2/include/gdkglextmm-config.h
    • /usr/lib64/gtkglextmm-1.2/proc/
    • /usr/lib64/gtkglextmm-1.2/proc/m4/convert.m4
    • /usr/lib64/gtkglextmm-1.2/proc/m4/convert_gdkglext.m4
    • /usr/lib64/pkgconfig/gdkglextmm-1.2.pc
    • /usr/lib64/pkgconfig/gdkglextmm-x11-1.2.pc
    • /usr/lib64/pkgconfig/gtkglextmm-1.2.pc
    • /usr/lib64/pkgconfig/gtkglextmm-x11-1.2.pc
    • /usr/share/aclocal/gtkglextmm-1.2.m4

    Changelog

    2014-03-19 - avvissu@yandex.ru - [Fixed] Compilation Error: Downgrade gtlglext to 1.2.0 - [Fixed] W: zero-length ../m4/convert_gtkglext.m4 * rm -f convert_gtkglext.m4

    2014-03-07 - avvissu@yandex.ru - Patch to fix header includes order to fix compilation on openSUSE 13.1

    2011-04-30 - toddrme2178@gmail.com - Patch to fix header includes order to fix compilation on openSUSE 11.4 - Added 32bit compatibility libraries - Changed group of devel and doc packages (fix for RPMLINT warning)

    Advertisement
    Advertisement